PAL A Platform Abstraction Layer connects the mbed-client with the underlying platform.

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions | Variables
pal_rtos_test.c File Reference
`#include "pal_rtos.h"`
`#include "unity.h"`
`#include "unity_fixture.h"`
`#include "pal_rtos_test_utils.h"`
`#include "pal.h"`

## Functions
| TEST_GROUP (pal_rtos)
void | palRunThreads ()
| TEST_SETUP (pal_rtos)
| TEST_TEAR_DOWN (pal_rtos)
| TEST (pal_rtos, pal_osKernelSysTick_Unity)
| TEST (pal_rtos, pal_osKernelSysTick64_Unity)
| TEST (pal_rtos, pal_osKernelSysTickMicroSec_Unity)
| TEST (pal_rtos, pal_osKernelSysMilliSecTick_Unity)
| TEST (pal_rtos, pal_osKernelSysTickFrequency_Unity)
| TEST (pal_rtos, pal_osDelay_Unity)
| TEST (pal_rtos, BasicTimeScenario)
| TEST (pal_rtos, TimerUnityTest)
| TEST (pal_rtos, PrimitivesUnityTest1)
| TEST (pal_rtos, PrimitivesUnityTest2)
| TEST (pal_rtos, MemoryPoolUnityTest)
| TEST (pal_rtos, MessageUnityTest)
| TEST (pal_rtos, AtomicIncrementUnityTest)
| TEST (pal_rtos, pal_init_test)
| TEST (pal_rtos, CustomizedTest)

## Variables
uint32_t | g_threadStorage [20] = { 0 }
threadsArgument_t | g_threadsArg = {0}
timerArgument_t | g_timerArgs = {0}
palMutexID_t | mutex1 = NULLPTR
palMutexID_t | mutex2 = NULLPTR
palSemaphoreID_t | semaphore1 = NULLPTR

## Function Documentation

void palRunThreads | ( |  | ) |

TEST | ( | pal_rtos | ,
|  | pal_osKernelSysTick_Unity |
| ) |  |

TEST | ( | pal_rtos | ,
|  | pal_osKernelSysTick64_Unity |
| ) |  |

TEST | ( | pal_rtos | ,
|  | pal_osKernelSysTickMicroSec_Unity |
| ) |  |

TEST | ( | pal_rtos | ,
|  | pal_osKernelSysMilliSecTick_Unity |
| ) |  |

TEST | ( | pal_rtos | ,
|  | pal_osKernelSysTickFrequency_Unity |
| ) |  |

TEST | ( | pal_rtos | ,
|  | pal_osDelay_Unity |
| ) |  |

TEST | ( | pal_rtos | ,
|  | BasicTimeScenario |
| ) |  |

TEST | ( | pal_rtos | ,
|  | TimerUnityTest |
| ) |  |

TEST | ( | pal_rtos | ,
|  | PrimitivesUnityTest1 |
| ) |  |

TEST | ( | pal_rtos | ,
|  | PrimitivesUnityTest2 |
| ) |  |

TEST | ( | pal_rtos | ,
|  | MemoryPoolUnityTest |
| ) |  |

TEST | ( | pal_rtos | ,
|  | MessageUnityTest |
| ) |  |

TEST | ( | pal_rtos | ,
|  | AtomicIncrementUnityTest |
| ) |  |

TEST | ( | pal_rtos | ,
|  | pal_init_test |
| ) |  |

TEST | ( | pal_rtos | ,
|  | CustomizedTest |
| ) |  |

TEST_GROUP | ( | pal_rtos |  | ) |

TEST_SETUP | ( | pal_rtos |  | ) |

TEST_TEAR_DOWN | ( | pal_rtos |  | ) |

## Variable Documentation

threadsArgument_t g_threadsArg = {0}

uint32_t g_threadStorage[20] = { 0 }

timerArgument_t g_timerArgs = {0}

palMutexID_t mutex1 = NULLPTR

palMutexID_t mutex2 = NULLPTR

palSemaphoreID_t semaphore1 = NULLPTR